BEGIN NOT ATOMIC

CREATE ROLE IF NOT EXISTS DotStatWriter;

IF (SELECT count(1) FROM information_schema.applicable_roles WHERE ROLE_NAME = 'DotStatWriter') > 0
THEN
    GRANT SELECT, INSERT, UPDATE, DELETE ON AUTHORIZATIONRULES to DotStatWriter;
    GRANT SELECT ON DB_VERSION TO DotStatWriter;
END IF;

FLUSH PRIVILEGES;

END;